Subject: RSE Series Editor (Redux)

From: Sarah B <[email-masked]>
Date: Wed, 19 Jun 2019 11:22:42 -0700

Hi,
	I started a second thread, mostly so that when I replied, you'd understand that I'm trying to broadly reply to the points I feel need addressing, and not to 1 specific person. I also agree with a previous comment that the IAB has delegated the RSE responsibility to the RSOC and the RSOC doesn't need to be micromanaged in that process, as there are ample feedback loops (there are 2 IAB members, 1 IESG member, the interim director on the RSOC directly, and we communicate with the IAB and LLC as well), but it's my style to be as transparent as I can be.

Contract extension concerns
---
	As Alexander and Ted pointed out, the language of the contract states that contract runs in blocks of 2 years, and be extended twice, before mandatorily going out to bid again. It's also worth pointing out that since Heather started as RSE, the RSOC did run through the contract process with her one full time (she was RSE, the RSOC recommended that we extend and the contract did extend 2 more times, for a total of 6 years) - and then the RSE function went out to bid again. Heather/Spherical Cow Consulting bid, and Heather is now RSE again. What happened here is mostly no different; she was awarded the contract the second time around, and with the first term of 2 years coming to an end, the RSOC recommended to re-up that contract for another 2 years. That would have brought us to 4 years. The difference here is that the RSOC decided proactively to recommend to put the contract out to bid again. Let me address the RSOC's thinking in "why", and share with you a tidbit about Heather.

	When I joined the RSOC in 2014, Heather introduced herself to me, and shared an overview of what she does, how she fits into the RSOC, and shared general information. She also, that very first meeting, raised her concerns over being the only bidder on the contract; what happens if she didn't bid again? What happens if she's the only bidder? What happens when she's ready to retire? Heather was proactively thinking ahead about succession planning and what was best for the RSE role and the community as a whole, even though she was fully committed to the job, she was looking to make sure the transition was as easy as it could be, for both the new RSE and the community, down the road. That was 5 years ago, and I think that says a lot about Heather's character and her professionalism and her commitment to the role. As I've pointed out, we did indeed go through a second RFP process wherein Heather was awarded the contract. However, we didn't receive any other bids for the role, and that was a concern to both Heather as an RSE, and the RSOC. I hope the reason why is obvious.. what happens if she were (quite unlikely, knock on wood) to be hit by the proverbial bus? What would we do? Fast forward to the end of 2018/current, where the RSOC has been largely reseated, and the new members on the RSOC are heading that we only had 1 bidder. There were the typical questions around the process, how did we do it, where did we post it, how long, did we advertise in the right places, with the right text, etc. The RSOC came to the conclusion that 1. we wanted to recommend to rebid the RFP earlier, which would not preclude Heather from bidding as well, specifically to address and alleviate those concerns and 2. that the rebid expressly had NOTHING to do with Heather's performance, and was not a comment on her. We certainly understood that bidding early could be construed in a way we didn't intend, and we did our best to communicate that it was not the RSOC's intention to do anything other than address the "single bidder" concern. It should be pointed out that the RSOC is empowered to make a recommendation; we do not award the contract, but my understanding is it would be in the purview of the LLC to put it out to bid early, if it decided to do so. 

Odds & Ends
---
	I too am concerned at the amount of speculation, but I also understand that this seems to be troubling to the community as a whole, something I personally have a lot of sympathy for. To John's point, the RSOC is seated (and reseated) at the pleasure of the IAB (RFC6635, Section 3.1, 3.1.1). The RSOC does NOT award the contract; does NOT formally extend the contract - remember, the RSOC makes recommendations with regards to the contract(s). We are required to oversee the RSE and ensure the Series is run in an open and transparent manner, and includes feedback from the community. Speaking for myself, while we are appointed to the RSOC by the IAB, and can be removed at any time by the IAB, I certainly feel we are accountable to the community, just like the IAB is, or the IESG is, or any of the rest of us are as participants; we certainly have a duty to include the community and protect the community interests. Speaking for myself, not as RSOC chair, I strongly reject any notion that we are NOT accountable to the community. That's part of why the IAB and the RSOC decided to send the note yesterday, and we're following up today. I will answer any question that I can. I will point out though, that the RSOC was specifically signalling that the attempt to rebid was NOT a comment on Heather's performance at all. 

Thanks,
Sarah

---

From: Michael Richardson <[email-masked]>
Date: Wed, 19 Jun 2019 16:25:05 -0400

Sarah B <[email-masked]> wrote:
    > could be, for both the new RSE and the community, down the road. That
    > was 5 years ago, and I think that says a lot about Heather's character
    > and her professionalism and her commitment to the role. As I've pointed
    > out, we did indeed go through a second RFP process wherein Heather was
    > awarded the contract. However, we didn't receive any other bids for the
    > role, and that was a concern to both Heather as an RSE, and the RSOC. I
    > hope the reason why is obvious.. what happens if she were (quite
    > unlikely, knock on wood) to be hit by the proverbial bus? What would we
    > do? Fast forward to the end of 2018/current, where the RSOC has been
    > largely reseated, and the new members on the RSOC are heading that we
    > only had 1 bidder. There were the typical questions around the process,
    > how did we do it, where did we post it, how long, did we advertise in
    > the right places, with the right text, etc.

Writing a good bid takes a fair bit of effort.

To have a chance to win means being relatively familiar and experienced with
the IETF and technical writing for Internet and technology content.

If you know enough to win, then you likely also know how good a job Heather
has done, and thus (unless you are starving), you are likely not to bid.

If the RSOC wants insurance against a too-low bus-count, then it will have
proactively find a way to split the job up.
(It's the four-day-work-week vs information-worker discussion)

It may be that an RFP process is the wrong way; that it should be treated
more like a hiring process, but I'm sitting on the fence on this.

It is my understanding that the RFC Production Center people are hired (or at
least, HR'ed) by AMS.   I expect the RSE has a fair bit of influence over the
hiring/firing of Publication Center people, but I did not clearly see that in
the SoW.  It seems like this group would be where we would most likely find
another RSE.  RFC6635, section 2.1.7 makes it quite clear that they are
prohibited from bidding, being employed by AMS.

In a different structure, it would be an obvious internal promotion.

If we could have a do-over, it would be to have Heather continue until the
end of 2020, and, given the new LLC situation, agree to tweak the way
the position is filled so that it can have a succession plan.

☕ ☕ ☕ ☕ ☕

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: S Moonesamy <[email-masked]>
Date: Tue, 25 Jun 2019 09:10:21 -0700

Hi Sarah,

The procedures of RFC Series Oversight Committee states that the 
committee is responsible for overseeing the RSE.  I took a look at a 
few of the reports which was sent by the IAB.  None of the reports 
mentioned that there hasn't been any performance review of the RSE 
since the last four years.  Who is responsible for the non-compliance 
with RFC 6635?

Regards,
S. Moonesamy

---

From: Sarah Banks <[email-masked]>
Date: Wed, 26 Jun 2019 19:37:13 -0600

Hi,
   A few years back we were asked by the ISOC HR person to not provide a performance review, since that’s inappropriate to do since the RSE is not a contractor. As an RSOC, we’ve since agreed to perform “contract reviews” against goals, and we agreed, prior to the LLC formation, to pick up that process again. Meanwhile, status of the contract and goals is typically discussed each IETF meeting; and a read out of what the RSE is working on is typically covered in the plenary. Moving forward, we’ve agreed as an RSOC to explicitly perform a “contract review” against goals that are drafted, reviewed with the RSOC and IAB (as before) and a way to change the goals and mutually agree on them. 
    Finally, I believe we also agree that RFC6635 needs to be modified to reflect this change, and keep us clean. 

Thanks
Sarah

> On Jun 25, 2019, at 10:10 AM, S Moonesamy <[email-masked]> wrote:
> 
> Hi Sarah,
> 
> The procedures of RFC Series Oversight Committee states that the committee is responsible for overseeing the RSE.  I took a look at a few of the reports which was sent by the IAB.  None of the reports mentioned that there hasn't been any performance review of the RSE since the last four years.  Who is responsible for the non-compliance with RFC 6635?
> 
> Regards,
> S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Wed, 26 Jun 2019 23:26:04 -0700

Hi Sarah,

Thank you for the explanation.

Regards,
S. Moonesamy